#!/bin/sh

# Installer for EMouse
# Michael Davidson - slaad@bong.com.au
# Based on work by Jim Mussared (jim@mussared.ii.net - Intellimouse Driver), 
#   Olaf van Es, Frans van Nispen and Stephen Abmus (Wacom Drivers) 
# v0.0.2 (20030504)


#!/bin/sh
msg=$'This will install the EMouse Driver v0.0.2 for USB mice.\n'
msg="$msg"$'This will disable support for PS/2 mice on your system. Make sure you have read the README file\n'
msg="$msg"$'Are you sure you wish to continue?'

folder=`dirname "$0"`
if [ `alert "$msg" "No" "Yes"` = "Yes" ]; then

	if [ -e /boot/home/config/add-ons/input_server/devices/emouse ]; then
		alert "It looks like you're upgrading. Skipping probing for mouse." "Ok"
	else
		alert "Now we're probing to make sure that your mouse is compatible. Make sure the mouse is plugged into a USB port and click Ok" "Ok"
				
		if [ `"$folder/probe"` = "yes" ]; then
			alert "Compatible mouse found" "Yay!"
		else
			if [ `alert "Your mouse is not supported by this driver." "Install Anyway" "Bummer!"` != "Install Anyway" ]; then
				exit
			fi
		fi
	fi
	
	copyattr --data "$folder/Install Files/emouse_usb" /boot/home/config/add-ons/input_server/devices
	copyattr --data "$folder/Install Files/EMouse Prefs" /boot/preferences
	mv /boot/beos/system/add-ons/input_server/devices/mouse "$folder/Be Driver" 
	
	msg=$'Would you like to create a link to the preferences program in your Be Preferencs Menu?\n'
	msg="$msg"$'Note: It is already in /boot/preferences'
	if [ `alert "$msg" "No" "Yes"` = "Yes" ]; then
		ln -s "/boot/preferences/EMouse Prefs" "/boot/home/config/be/Preferences/EMouse Prefs"
	fi
	
	alert "The input server will now restart. Make sure you have read the README file so you know what to do if something goes wrong." "Ok"
	/system/servers/input_server -q
	
	sleep 2
	
	msg=$'Installation complete. Your mouse should be working now, with wheel support and you will be able to configure the extra buttons in the preferences app.\n'
	msg="$msg"$'If its not working, then use tab to select "No" below and press space.\n'
	msg="$msg"$'Is your mouse working?'
	
	if [ `alert "$msg" "No..." "Yes!"` = "No..." ]; then
		sh "$folder/uninstall.sh"
	fi

fi
